Subject: Fwd: New Version Notification for draft-mehta-atom-inline-01

From: "Nikunj R. Mehta" <[email-masked]>
Date: Mon, 29 Jun 2009 14:12:14 -0700

Revised version simplifies the content model of ae:inline to Atom  
entry and feed documents.

    01 - Limited scope of in-lining to Atom.
       Removed type attribute from ae:inline as well as support for  
non-Atom in-lining.
       Specified the interpretation of type attribute and the value of  
ae:inline
       Added example for empty inline element

I hope this addresses the concern that we were creating a mighty  
complex content model for ae:inline without use cases to guide us in  
the process. At this point, I welcome any feedback of implementation  
experience you wish to share.

Thanks to all of you who provided feedback on the initial revision of  
the I-D.

Nikunj
http://o-micron.blogspot.com

Begin forwarded message:

> From: IETF I-D Submission Tool <[email-masked]>
> Date: June 29, 2009 2:08:41 PM PDT
> To: [email-masked]
> Subject: New Version Notification for draft-mehta-atom-inline-01
>
>
> A new version of I-D, draft-mehta-atom-inline-01.txt has been  
> successfuly submitted by Nikunj Mehta and posted to the IETF  
> repository.
>
> Filename:	 draft-mehta-atom-inline
> Revision:	 01
> Title:		 In-lining Extensions for Atom
> Creation_date:	 2009-06-29
> WG ID:		 Independent Submission
> Number_of_pages: 8
>
> Abstract:
> This specification defines mechanisms for in-lining representations
> of linked Atom resources.Editorial Note
>
> To provide feedback on this Internet-Draft, join the atom-syntax
> mailing list (http://www.imc.org/atom-syntax/) [1].
>
>
>
> The IETF Secretariat.
>
>

---

From: "Nikunj R. Mehta" <[email-masked]>
Date: Mon, 29 Jun 2009 15:31:41 -0700

Sorry to have forgotten a link to the draft in the previous message.

http://tools.ietf.org/html/draft-mehta-atom-inline

On Jun 29, 2009, at 2:12 PM, Nikunj R. Mehta wrote:

>       Specified the interpretation of type attribute and the value  
> of ae:inline
> Thanks to all of you who provided feedback on the initial revision  
> of the I-D.
>
> Nikunj

---

From: Peter Keane <[email-masked]>
Date: Tue, 30 Jun 2009 13:51:52 -0500

Hi Nikunj-

This looks good.  I still have a sense, though, that the same pre-fetch
capability could be achieved vi a a different mechanism.  I have found it
useful to provide an atom:link@rel=alternate that has a type attribute
indicating atom *feed* (i.e., "here is the feed representation of this
entry") that returns a feed -- (some what akin to mime multipart?) in which
the entry in question is the first entry in the feed, and the pre-fetched
entries are the remaining entries in the feed (they are siblings in the
feed, but links or categories in each can express the implied hierarchy).
I realize there is a need to say *which* links are pre-fetched, but that
could be a function of either a custom @rel (instead of just "alternate")
pointing to the feed OR query parameters (another can o' worms) that
indicates which links will be prefetched.

This may be unwise for reasons I am not seeing, but I've found it quite
useful.  (Not to mention one small side-effect: I can always ask for the
"feed" version of an entry when I need to view it in Firefox, which
typically will not display a plain atom:entry).

--peter keane

On Mon, Jun 29, 2009 at 5:31 PM, Nikunj R. Mehta <[email-masked]>wrote:

> Revised version simplifies the content model of ae:inline to Atom entry and
> feed documents.
>       Removed type attribute from ae:inline as well as support for non-Atom
> in-lining.
> I hope this addresses the concern that we were creating a mighty complex
> content model for ae:inline without use cases to guide us in the process. At
> this point, I welcome any feedback of implementation experience you wish to
> share.
>
> Thanks to all of you who provided feedback on the initial revision of the
> I-D.
>
> Nikunj
> *From: *IETF I-D Submission Tool <[email-masked]>
> *Date: *June 29, 2009 2:08:41 PM PDT
> *To: [email-masked]
> *Subject: **New Version Notification for draft-mehta-atom-inline-01 *
>
>
> A new version of I-D, draft-mehta-atom-inline-01.txt has been successfuly
> submitted by Nikunj Mehta and posted to the IETF repository.
>